## q-extras 1.0.0

=== Makefile ===
#############################################################################
# Makefile for building: libq-extras.so.1.0.0
# Generated by qmake (2.01a) (Qt 4.6.2) on: Sze szept. 1 18:40:46 2010
# Project:  q-extras.pro
# Template: lib
# Command: c:/MADDE/0.6.72/targets/fremantle-pr12/bin/qmake.exe -unix -o Makefile q-extras.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gtk-2.0 -I/usr/include/pango-1.0 -I/usr/include/cairo -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/freetype2 -DMAEMO_CHANGES -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gtk-2.0 -I/usr/include/pango-1.0 -I/usr/include/cairo -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/freetype2 -DMAEMO_CHANGES -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/hildon-notify -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gconf/2 -Wall -W -D_REENTRANT -fPIC $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gtk-2.0 -I/usr/include/pango-1.0 -I/usr/include/cairo -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/freetype2 -DMAEMO_CHANGES -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gtk-2.0 -I/usr/include/pango-1.0 -I/usr/include/cairo -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/freetype2 -DMAEMO_CHANGES -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/hildon-notify -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gconf/2 -Wall -W -D_REENTRANT -fPIC $(DEFINES)
INCPATH       = -I../../../MADDE/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/default -I. -I../../../MADDE/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/include/QtCore -I../../../MADDE/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/include/QtNetwork -I../../../MADDE/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/include/QtGui -I../../../MADDE/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/include -I. -Iqtsingleapplication -Ibuild
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,C:/usr/lib -shared -Wl,-soname,libq-extras.so.1
LIBS          = $(SUBLIBS)  -LC:/MADDE/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/lib -lgmodule-2.0 -lgdk_pixbuf-2.0 -lpango-1.0 -lcairo -lpangocairo-1.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lfreetype -lfontconfig -lpangoft2-1.0 -lgtk-x11-2.0 -lnotify -lhildonnotify -ldbus-1 -lglib-2.0 -lgobject-2.0 -ldbus-glib-1 -lgconf-2 -lX11 -lQtGui -L/usr/lib -L/usr/X11R6/lib -lQtNetwork -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = c:/MADDE/0.6.72/targets/fremantle-pr12/bin/qmake.exe
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = build/

####### Files

SOURCES       = qesettingsmanager.cpp \
		qemethodrunnable.cpp \
		qetimerrunnable.cpp \
		qeunclosablemessagebox.cpp \
		qemaemo5dynamichomescreenwidget.cpp \
		qemaemo5dynamicwidgethelper.cpp \
		qemaemo5notification.cpp \
		qemaemo5rotator.cpp \
		qtsingleapplication/qtsingleapplication.cpp \
		qtsingleapplication/qtlocalpeer.cpp build/moc_qemaemo5dynamichomescreenwidget.cpp \
		build/moc_qemaemo5rotator.cpp \
		build/moc_qtsingleapplication.cpp \
		build/moc_qtlocalpeer.cpp
OBJECTS       = build/qesettingsmanager.o \
		build/qemethodrunnable.o \
		build/qetimerrunnable.o \
		build/qeunclosablemessagebox.o \
		build/qemaemo5dynamichomescreenwidget.o \
		build/qemaemo5dynamicwidgethelper.o \
		build/qemaemo5notification.o \
		build/qemaemo5rotator.o \
		build/qtsingleapplication.o \
		build/qtlocalpeer.o \
		build/moc_qemaemo5dynamichomescreenwidget.o \
		build/moc_qemaemo5rotator.o \
		build/moc_qtsingleapplication.o \
		build/moc_qtlocalpeer.o
DIST          = ../../../MADDE/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/common/unix.conf \
		../../../MADDE/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/common/linux.conf \
		../../../MADDE/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/qconfig.pri \
		../../../MADDE/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/qt_functions.prf \
		../../../MADDE/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/qt_config.prf \
		../../../MADDE/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		../../../MADDE/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/default_pre.prf \
		qtsingleapplication/qtsingleapplication.pri \
		../../../MADDE/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/release.prf \
		../../../MADDE/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/default_post.prf \
		../../../MADDE/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		../../../MADDE/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/dll.prf \
		../../../MADDE/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/shared.prf \
		../../../MADDE/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/warn_on.prf \
		../../../MADDE/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/qt.prf \
		../../../MADDE/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/unix/thread.prf \
		../../../MADDE/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/moc.prf \
		../../../MADDE/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/resources.prf \
		../../../MADDE/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/uic.prf \
		../../../MADDE/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/yacc.prf \
		../../../MADDE/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/lex.prf \
		q-extras.pro
QMAKE_TARGET  = q-extras
DESTDIR       = build/
TARGET        = libq-extras.so.1.0.0
TARGETA       = build/libq-extras.a
TARGETD       = libq-extras.so.1.0.0
TARGET0       = libq-extras.so
TARGET1       = libq-extras.so.1
TARGET2       = libq-extras.so.1.0

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile  build/$(TARGET)

build/$(TARGET):  $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  
	@$(CHK_DIR_EXISTS) build/ || $(MKDIR) build/ 
	-$(DEL_FILE) $(TARGET) $(TARGET0) $(TARGET1) $(TARGET2)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)
	-ln -s $(TARGET) $(TARGET0)
	-ln -s $(TARGET) $(TARGET1)
	-ln -s $(TARGET) $(TARGET2)
	-$(DEL_FILE) build/$(TARGET)
	-$(DEL_FILE) build/$(TARGET0)
	-$(DEL_FILE) build/$(TARGET1)
	-$(DEL_FILE) build/$(TARGET2)
	-$(MOVE) $(TARGET) $(TARGET0) $(TARGET1) $(TARGET2) build/



staticlib: $(TARGETA)

$(TARGETA):  $(OBJECTS) $(OBJCOMP) 
	-$(DEL_FILE) $(TARGETA) 
	$(AR) $(TARGETA) $(OBJECTS)

Makefile: q-extras.pro  ../../../MADDE/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/default/qmake.conf ../../../MADDE/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/common/unix.conf \
		../../../MADDE/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/common/linux.conf \
		../../../MADDE/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/qconfig.pri \
		../../../MADDE/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/qt_functions.prf \
		../../../MADDE/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/qt_config.prf \
		../../../MADDE/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		../../../MADDE/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/default_pre.prf \
		qtsingleapplication/qtsingleapplication.pri \
		../../../MADDE/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/release.prf \
		../../../MADDE/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/default_post.prf \
		../../../MADDE/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		../../../MADDE/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/dll.prf \
		../../../MADDE/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/shared.prf \
		../../../MADDE/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/warn_on.prf \
		../../../MADDE/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/qt.prf \
		../../../MADDE/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/unix/thread.prf \
		../../../MADDE/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/moc.prf \
		../../../MADDE/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/resources.prf \
		../../../MADDE/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/uic.prf \
		../../../MADDE/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/yacc.prf \
		../../../MADDE/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/lex.prf \
		c:/MADDE/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/lib/libQtGui.prl \
		c:/MADDE/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/lib/libQtCore.prl \
		c:/MADDE/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/lib/libQtNetwork.prl \
		c:/MADDE/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/lib/libQtDBus.prl \
		c:/MADDE/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/lib/libQtXml.prl
	$(QMAKE) -unix -o Makefile q-extras.pro
../../../MADDE/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/common/unix.conf:
../../../MADDE/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/common/linux.conf:
../../../MADDE/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/qconfig.pri:

=== debian/changelog ===
q-extras (1.0.0) unstable; urgency=low

  * Initial Release
  * Qt wrapper for Hildon notifications
  * Dynamic homescreen widget support
  * Convenient settings manager
  * Threading helper classes
  * And more!

 -- Timur Kristf <venemo@msn.com>  Wed, 01 Sep 2010 18:40:55 +0200

=== debian/control ===
Source: q-extras
Priority: extra
Maintainer: unknown <Timur@unknown>
Build-Depends: debhelper (>= 5), libqt4-dev, libx11-dev, mce-dev, libgconf2-dev, libglib2.0-dev, libgtk2.0-dev, libdbus-1-dev, libhildonnotify-dev
Standards-Version: 3.7.3
Section: libs

Package: q-extras-dev
Section: libdevel
Architecture: all
Depends: q-extras (= ${binary:Version}), ${misc:Depends}
Description: This package contains the headers for Q-Extras.
 This package contains the headers for Q-Extras.

Package: q-extras
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Library of helpful Qt-based components.
 Library of helpful Qt-based components.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	qmake PREFIX=/usr
	touch configure-stamp


build: build-stamp
build-stamp: configure-stamp  
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/q-extras
	$(MAKE) INSTALL_ROOT=$(CURDIR)/debian/tmp install


# Build architecture-independent files here.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installexamples -i
	dh_install -i
	dh_installman  -i
	dh_link -i
	dh_strip -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
#	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs  -a
	dh_installdocs -a
	dh_installexamples -a
	dh_install -a
	dh_installman -a
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
#	dh_makeshlibs -a
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## q-extras 1.0.1

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
 #############################################################################
-# Makefile for building: libq-extras.so.1.0.0
-# Generated by qmake (2.01a) (Qt 4.6.2) on: Sze szept. 1 18:40:46 2010
+# Makefile for building: libq-extras.so.1.0.1
+# Generated by qmake (2.01a) (Qt 4.6.2) on: Sze szept. 1 21:07:06 2010
 # Project:  q-extras.pro
 # Template: lib
-# Command: c:/MADDE/0.6.72/targets/fremantle-pr12/bin/qmake.exe -unix -o Makefile q-extras.pro
+# Command: c:/MADDE/0.6.72/targets/fremantle-pr12/bin/qmake.exe -unix PREFIX=C:/MADDE/0.6.72 -o Makefile q-extras.pro
 #############################################################################
 
 ####### Compiler, tools and options
@@ -11,8 +11,8 @@
 CC            = gcc
 CXX           = g++
 DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
-CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gtk-2.0 -I/usr/include/pango-1.0 -I/usr/include/cairo -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/freetype2 -DMAEMO_CHANGES -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gtk-2.0 -I/usr/include/pango-1.0 -I/usr/include/cairo -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/freetype2 -DMAEMO_CHANGES -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/hildon-notify -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gconf/2 -Wall -W -D_REENTRANT -fPIC $(DEFINES)
-CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gtk-2.0 -I/usr/include/pango-1.0 -I/usr/include/cairo -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/freetype2 -DMAEMO_CHANGES -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gtk-2.0 -I/usr/include/pango-1.0 -I/usr/include/cairo -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/freetype2 -DMAEMO_CHANGES -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/hildon-notify -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gconf/2 -Wall -W -D_REENTRANT -fPIC $(DEFINES)
+CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gtk-2.0 -I/usr/include/pango-1.0 -I/usr/include/cairo -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/freetype2 -DMAEMO_CHANGES -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/hildon-notify -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gconf/2 -Wall -W -D_REENTRANT -fPIC $(DEFINES)
+CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gtk-2.0 -I/usr/include/pango-1.0 -I/usr/include/cairo -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/freetype2 -DMAEMO_CHANGES -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/hildon-notify -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gconf/2 -Wall -W -D_REENTRANT -fPIC $(DEFINES)
 INCPATH       = -I../../../MADDE/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/default -I. -I../../../MADDE/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/include/QtCore -I../../../MADDE/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/include/QtNetwork -I../../../MADDE/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/include/QtGui -I../../../MADDE/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/include -I. -Iqtsingleapplication -Ibuild
 LINK          = g++
 LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,C:/usr/lib -shared -Wl,-soname,libq-extras.so.1
@@ -94,9 +94,9 @@
 		q-extras.pro
 QMAKE_TARGET  = q-extras
 DESTDIR       = build/
-TARGET        = libq-extras.so.1.0.0
+TARGET        = libq-extras.so.1.0.1
 TARGETA       = build/libq-extras.a
-TARGETD       = libq-extras.so.1.0.0
+TARGETD       = libq-extras.so.1.0.1
 TARGET0       = libq-extras.so
 TARGET1       = libq-extras.so.1
 TARGET2       = libq-extras.so.1.0
@@ -169,7 +169,12 @@
 		c:/MADDE/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/lib/libQtNetwork.prl \
 		c:/MADDE/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/lib/libQtDBus.prl \
 		c:/MADDE/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/lib/libQtXml.prl
-	$(QMAKE) -unix -o Makefile q-extras.pro
+	$(QMAKE) -unix PREFIX=C:/MADDE/0.6.72 -o Makefile q-extras.pro
 ../../../MADDE/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/common/unix.conf:
 ../../../MADDE/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/common/linux.conf:
 ../../../MADDE/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/qconfig.pri:
+../../../MADDE/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/qt_functions.prf:
+../../../MADDE/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/qt_config.prf:
+../../../MADDE/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
+../../../MADDE/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/default_pre.prf:
+qtsingleapplication/qtsingleapplication.pri:

=== debian/changelog ===
q-extras (1.0.1) unstable; urgency=low

  * Added .pc file for pkg-config
  * Removed .so binary from the -dev package

 -- Timur Kristf <venemo@msn.com>  Wed, 01 Sep 2010 21:03:22 +0200

## q-extras 1.0.2

=== debian/changelog ===
q-extras (1.0.2) unstable; urgency=low

  * Fixed the .pc file

 -- Timur Kristf <venemo@msn.com>  Tue, 14 Sep 2010 00:48:22 +0200

=== debian/rules ===
--- 
+++ 
@@ -44,7 +44,9 @@
 	dh_installdirs
 
 	# Add here commands to install the package into debian/q-extras
-	$(MAKE) INSTALL_ROOT=$(CURDIR)/debian/tmp install
+	$(MAKE) INSTALL_ROOT="$(CURDIR)/debian/tmp" install
+	mkdir "debian/tmp/usr/lib/pkgconfig"
+	cp "$(CURDIR)/q-extras.pc" "$(CURDIR)/debian/tmp/usr/lib/pkgconfig/"
 
 
 # Build architecture-independent files here.

## q-extras 1.0.3

=== debian/changelog ===
q-extras (1.0.3) unstable; urgency=low

  * Fixed the .pc file again

 -- Timur Kristf <venemo@msn.com>  Tue, 14 Sep 2010 01:31:22 +0200

## q-extras 1.0.4

=== Makefile ===
#############################################################################
# Makefile for building: libq-extras.so.1.0.1
# Generated by qmake (2.01a) (Qt 4.6.2) on: Wed Oct 13 23:29:01 2010
# Project:  q-extras.pro
# Template: lib
# Command: /usr/bin/qmake -unix PREFIX=/usr -o Makefile q-extras.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -DMAEMO_CHANGES -I/usr/include/hildon-notify -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gtk-2.0 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -Wall -W -D_REENTRANT -fPIC $(DEFINES)
CXXFLAGS      = -pipe -O2 -DMAEMO_CHANGES -I/usr/include/hildon-notify -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gtk-2.0 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -Wall -W -D_REENTRANT -fPIC $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++ -I. -I/targets/FREMANTLE_X86/usr/include/QtCore -I/targets/FREMANTLE_X86/usr/include/QtNetwork -I/targets/FREMANTLE_X86/usr/include/QtGui -I/targets/FREMANTLE_X86/usr/include -I. -Iqtsingleapplication -Ibuild
LINK          = g++
LFLAGS        = -Wl,-O1 -Wl,-rpath,/usr/lib -shared -Wl,-soname,libq-extras.so.1
LIBS          = $(SUBLIBS)  -L/usr/lib -lhildonnotify -lnotify -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgmodule-2.0 -lgconf-2 -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0 -lX11 -lQtGui -L/usr/lib -L/usr/X11R6/lib -lQtNetwork -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = build/

####### Files

SOURCES       = qesettingsmanager.cpp \
		qemethodrunnable.cpp \
		qetimerrunnable.cpp \
		qeunclosablemessagebox.cpp \
		qemaemo5dynamichomescreenwidget.cpp \
		qemaemo5dynamicwidgethelper.cpp \
		qemaemo5notification.cpp \
		qemaemo5rotator.cpp \
		qtsingleapplication/qtsingleapplication.cpp \
		qtsingleapplication/qtlocalpeer.cpp build/moc_qemaemo5dynamichomescreenwidget.cpp \
		build/moc_qemaemo5rotator.cpp \
		build/moc_qtsingleapplication.cpp \
		build/moc_qtlocalpeer.cpp
OBJECTS       = build/qesettingsmanager.o \
		build/qemethodrunnable.o \
		build/qetimerrunnable.o \
		build/qeunclosablemessagebox.o \
		build/qemaemo5dynamichomescreenwidget.o \
		build/qemaemo5dynamicwidgethelper.o \
		build/qemaemo5notification.o \
		build/qemaemo5rotator.o \
		build/qtsingleapplication.o \
		build/qtlocalpeer.o \
		build/moc_qemaemo5dynamichomescreenwidget.o \
		build/moc_qemaemo5rotator.o \
		build/moc_qtsingleapplication.o \
		build/moc_qtlocalpeer.o
DIST          = /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		qtsingleapplication/qtsingleapplication.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/dll.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/shared.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		q-extras.pro
QMAKE_TARGET  = q-extras
DESTDIR       = build/
TARGET        = libq-extras.so.1.0.1
TARGETA       = build/libq-extras.a
TARGETD       = libq-extras.so.1.0.1
TARGET0       = libq-extras.so
TARGET1       = libq-extras.so.1
TARGET2       = libq-extras.so.1.0

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile  build/$(TARGET)

build/$(TARGET):  $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  
	@$(CHK_DIR_EXISTS) build/ || $(MKDIR) build/ 
	-$(DEL_FILE) $(TARGET) $(TARGET0) $(TARGET1) $(TARGET2)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)
	-ln -s $(TARGET) $(TARGET0)
	-ln -s $(TARGET) $(TARGET1)
	-ln -s $(TARGET) $(TARGET2)
	-$(DEL_FILE) build/$(TARGET)
	-$(DEL_FILE) build/$(TARGET0)
	-$(DEL_FILE) build/$(TARGET1)
	-$(DEL_FILE) build/$(TARGET2)
	-$(MOVE) $(TARGET) $(TARGET0) $(TARGET1) $(TARGET2) build/



staticlib: $(TARGETA)

$(TARGETA):  $(OBJECTS) $(OBJCOMP) 
	-$(DEL_FILE) $(TARGETA) 
	$(AR) $(TARGETA) $(OBJECTS)

Makefile: q-extras.pro  /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++/qmake.conf /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		qtsingleapplication/qtsingleapplication.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/dll.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/shared.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtNetwork.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl
	$(QMAKE) -unix PREFIX=/usr -o Makefile q-extras.pro
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf:
qtsingleapplication/qtsingleapplication.pri:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/link_pkgconfig.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/dll.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/shared.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf:
/usr/lib/libQtGui.prl:
/usr/lib/libQtCore.prl:
/usr/lib/libQtNetwork.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
qmake:  FORCE
	@$(QMAKE) -unix PREFIX=/usr -o Makefile q-extras.pro

dist: 
	@$(CHK_DIR_EXISTS) build/q-extras1.0.1 || $(MKDIR) build/q-extras1.0.1 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) build/q-extras1.0.1/ && $(COPY_FILE) --parents qesettingsmanager.h qemethodrunnable.h qetimerrunnable.h qeunclosablemessagebox.h qemaemo5dynamichomescreenwidget.h qemaemo5dynamicwidgethelper.h qemaemo5notification.h qemaemo5rotator.h qtsingleapplication/qtsingleapplication.h qtsingleapplication/qtlocalpeer.h build/q-extras1.0.1/ && $(COPY_FILE) --parents qesettingsmanager.cpp qemethodrunnable.cpp qetimerrunnable.cpp qeunclosablemessagebox.cpp qemaemo5dynamichomescreenwidget.cpp qemaemo5dynamicwidgethelper.cpp qemaemo5notification.cpp qemaemo5rotator.cpp qtsingleapplication/qtsingleapplication.cpp qtsingleapplication/qtlocalpeer.cpp build/q-extras1.0.1/ && (cd `dirname build/q-extras1.0.1` && $(TAR) q-extras1.0.1.tar q-extras1.0.1 && $(COMPRESS) q-extras1.0.1.tar) && $(MOVE) `dirname build/q-extras1.0.1`/q-extras1.0.1.tar.gz . && $(DEL_FILE) -r build/q-extras1.0.1


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) build/$(TARGET) 
	-$(DEL_FILE) build/$(TARGET0) build/$(TARGET1) build/$(TARGET2) $(TARGETA)
	-$(DEL_FILE) Makefile


debian-all: debian-src debian-bin

debian-src:
	dpkg-buildpackage -S -r -us -uc -d

debian-bin:
	dpkg-buildpackage -b -r -uc -d

compiler_clean:
	-$(DEL_FILE) $(TARGET)

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: build/moc_qemaemo5dynamichomescreenwidget.cpp build/moc_qemaemo5rotator.cpp build/moc_qtsingleapplication.cpp build/moc_qtlocalpeer.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) build/moc_qemaemo5dynamichomescreenwidget.cpp build/moc_qemaemo5rotator.cpp build/moc_qtsingleapplication.cpp build/moc_qtlocalpeer.cpp

=== debian/changelog ===
q-extras (1.0.4) unstable; urgency=low

  * Several important fixes to the dynamic widget solution

 -- Timur Kristf <venemo@msn.com>  Wed, 13 Oct 2010 22:46:22 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: q-extras
 Priority: extra
 Maintainer: unknown <Timur@unknown>
-Build-Depends: debhelper (>= 5), libqt4-dev, libx11-dev, mce-dev, libgconf2-dev, libglib2.0-dev, libgtk2.0-dev, libdbus-1-dev, libhildonnotify-dev
+Build-Depends: debhelper (>= 5), libqt4-dev, libx11-dev, mce-dev, libgconf2-dev, libhildonnotify-dev
 Standards-Version: 3.7.3
 Section: libs

## q-extras 1.0.5

=== Makefile ===
#############################################################################
# Makefile for building: libq-extras.so.1.0.5
# Generated by qmake (2.01a) (Qt 4.6.2) on: Thu Oct 14 22:38:10 2010
# Project:  q-extras.pro
# Template: lib
# Command: /usr/bin/qmake -unix PREFIX=/usr -o Makefile q-extras.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -DMAEMO_CHANGES -I/usr/include/hildon-notify -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gtk-2.0 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -Wall -W -D_REENTRANT -fPIC $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -DMAEMO_CHANGES -I/usr/include/hildon-notify -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gtk-2.0 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -Wall -W -D_REENTRANT -fPIC $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/usr/include/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/QtNetwork -I/targets/FREMANTLE_ARMEL/usr/include/QtGui -I/targets/FREMANTLE_ARMEL/usr/include -I. -Iqtsingleapplication -Ibuild
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/usr/lib -shared -Wl,-soname,libq-extras.so.1
LIBS          = $(SUBLIBS)  -L/usr/lib -lhildonnotify -lnotify -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgmodule-2.0 -lgconf-2 -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0 -lX11 -lQtGui -L/usr/lib -L/usr/X11R6/lib -lQtNetwork -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = build/

####### Files

SOURCES       = qesettingsmanager.cpp \
		qemethodrunnable.cpp \
		qetimerrunnable.cpp \
		qeunclosablemessagebox.cpp \
		qemaemo5dynamichomescreenwidget.cpp \
		qemaemo5dynamicwidgethelper.cpp \
		qemaemo5notification.cpp \
		qemaemo5rotator.cpp \
		qtsingleapplication/qtsingleapplication.cpp \
		qtsingleapplication/qtlocalpeer.cpp build/moc_qemaemo5dynamichomescreenwidget.cpp \
		build/moc_qemaemo5rotator.cpp \
		build/moc_qtsingleapplication.cpp \
		build/moc_qtlocalpeer.cpp
OBJECTS       = build/qesettingsmanager.o \
		build/qemethodrunnable.o \
		build/qetimerrunnable.o \
		build/qeunclosablemessagebox.o \
		build/qemaemo5dynamichomescreenwidget.o \
		build/qemaemo5dynamicwidgethelper.o \
		build/qemaemo5notification.o \
		build/qemaemo5rotator.o \
		build/qtsingleapplication.o \
		build/qtlocalpeer.o \
		build/moc_qemaemo5dynamichomescreenwidget.o \
		build/moc_qemaemo5rotator.o \
		build/moc_qtsingleapplication.o \
		build/moc_qtlocalpeer.o
DIST          = /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		qtsingleapplication/qtsingleapplication.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dll.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/shared.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		q-extras.pro
QMAKE_TARGET  = q-extras
DESTDIR       = build/
TARGET        = libq-extras.so.1.0.5
TARGETA       = build/libq-extras.a
TARGETD       = libq-extras.so.1.0.5
TARGET0       = libq-extras.so
TARGET1       = libq-extras.so.1
TARGET2       = libq-extras.so.1.0

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile  build/$(TARGET)

build/$(TARGET):  $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  
	@$(CHK_DIR_EXISTS) build/ || $(MKDIR) build/ 
	-$(DEL_FILE) $(TARGET) $(TARGET0) $(TARGET1) $(TARGET2)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)
	-ln -s $(TARGET) $(TARGET0)
	-ln -s $(TARGET) $(TARGET1)
	-ln -s $(TARGET) $(TARGET2)
	-$(DEL_FILE) build/$(TARGET)
	-$(DEL_FILE) build/$(TARGET0)
	-$(DEL_FILE) build/$(TARGET1)
	-$(DEL_FILE) build/$(TARGET2)
	-$(MOVE) $(TARGET) $(TARGET0) $(TARGET1) $(TARGET2) build/



staticlib: $(TARGETA)

$(TARGETA):  $(OBJECTS) $(OBJCOMP) 
	-$(DEL_FILE) $(TARGETA) 
	$(AR) $(TARGETA) $(OBJECTS)

Makefile: q-extras.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		qtsingleapplication/qtsingleapplication.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dll.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/shared.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtNetwork.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl
	$(QMAKE) -unix PREFIX=/usr -o Makefile q-extras.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
qtsingleapplication/qtsingleapplication.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/link_pkgconfig.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dll.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/shared.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/usr/lib/libQtGui.prl:
/usr/lib/libQtCore.prl:
/usr/lib/libQtNetwork.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
qmake:  FORCE
	@$(QMAKE) -unix PREFIX=/usr -o Makefile q-extras.pro

dist: 
	@$(CHK_DIR_EXISTS) build/q-extras1.0.5 || $(MKDIR) build/q-extras1.0.5 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) build/q-extras1.0.5/ && $(COPY_FILE) --parents qesettingsmanager.h qemethodrunnable.h qetimerrunnable.h qeunclosablemessagebox.h qemaemo5dynamichomescreenwidget.h qemaemo5dynamicwidgethelper.h qemaemo5notification.h qemaemo5rotator.h qtsingleapplication/qtsingleapplication.h qtsingleapplication/qtlocalpeer.h build/q-extras1.0.5/ && $(COPY_FILE) --parents qesettingsmanager.cpp qemethodrunnable.cpp qetimerrunnable.cpp qeunclosablemessagebox.cpp qemaemo5dynamichomescreenwidget.cpp qemaemo5dynamicwidgethelper.cpp qemaemo5notification.cpp qemaemo5rotator.cpp qtsingleapplication/qtsingleapplication.cpp qtsingleapplication/qtlocalpeer.cpp build/q-extras1.0.5/ && (cd `dirname build/q-extras1.0.5` && $(TAR) q-extras1.0.5.tar q-extras1.0.5 && $(COMPRESS) q-extras1.0.5.tar) && $(MOVE) `dirname build/q-extras1.0.5`/q-extras1.0.5.tar.gz . && $(DEL_FILE) -r build/q-extras1.0.5


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) build/$(TARGET) 
	-$(DEL_FILE) build/$(TARGET0) build/$(TARGET1) build/$(TARGET2) $(TARGETA)
	-$(DEL_FILE) Makefile


debian-all: debian-src debian-bin

debian-src:
	dpkg-buildpackage -S -r -us -uc -d

debian-bin:
	dpkg-buildpackage -b -r -uc -d

compiler_clean:
	-$(DEL_FILE) $(TARGET)

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: build/moc_qemaemo5dynamichomescreenwidget.cpp build/moc_qemaemo5rotator.cpp build/moc_qtsingleapplication.cpp build/moc_qtlocalpeer.cpp
compiler_moc_header_clean:

=== debian/changelog ===
q-extras (1.0.5) unstable; urgency=low

  * Added dh_makeshlibs

 -- Timur Kristóf <venemo@msn.com>  Thu, 14 Oct 2010 22:46:22 +0200

=== debian/control ===
--- 
+++ 
@@ -8,13 +8,13 @@
 Package: q-extras-dev
 Section: libdevel
 Architecture: all
-Depends: q-extras (= ${binary:Version}), ${misc:Depends}
+Depends: q-extras (= ${binary:Version})
 Description: This package contains the headers for Q-Extras.
  This package contains the headers for Q-Extras.
 
 Package: q-extras
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}
 Description: Library of helpful Qt-based components.
  Library of helpful Qt-based components.

=== debian/rules ===
--- 
+++ 
@@ -81,7 +81,7 @@
 	dh_strip -a
 	dh_compress -a
 	dh_fixperms -a
-#	dh_makeshlibs -a
+	dh_makeshlibs -a
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
